GDB (xrefs)

Public Attributes | List of all members
other_sections Struct Reference

`#include "symfile.h"`

## Public Attributes
CORE_ADDR | addr
char * | name
int | sectindex

## Detailed Description

Definition at line 48 of file symfile.h.

## Member Data Documentation

## ◆ addr

CORE_ADDR other_sections::addr

Definition at line 50 of file symfile.h.

Referenced by addr_info_make_relative(), build_section_addr_info_from_bfd(), build_section_addr_info_from_objfile(), build_section_addr_info_from_section_table(), jit_bfd_try_read_symtab(), macho_symfile_offsets(), relative_addr_info_to_section_offsets(), and symbol_file_add_from_memory().

## ◆ name

char* other_sections::name

Definition at line 51 of file symfile.h.

Referenced by addr_info_make_relative(), addrs_section_compar(), build_section_addr_info_from_bfd(), build_section_addr_info_from_section_table(), free_section_addr_info(), jit_bfd_try_read_symtab(), macho_symfile_offsets(), and symbol_file_add_from_memory().

## ◆ sectindex

int other_sections::sectindex

Definition at line 54 of file symfile.h.

Referenced by addr_info_make_relative(), addrs_section_compar(), build_section_addr_info_from_bfd(), build_section_addr_info_from_objfile(), build_section_addr_info_from_section_table(), jit_bfd_try_read_symtab(), relative_addr_info_to_section_offsets(), and symbol_file_add_from_memory().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symfile.h